# collada.light.BoundSpotLight

class collada.light.BoundSpotLight(slight, matrix)

  Spot light bound to a scene with transformation. This gets created when a light is instantiated in a scene. Do not create this manually.

  __init__(slight, matrix)

  Methods

  `__init__`(slight, matrix) |

  Attributes

  `position` | Numpy array of length 3 representing the position of the light in the scene
  `direction` | Direction of the spot light
  `up` | Up vector of the spot light
  `matrix` | Transform matrix for the bound light
  `color` | Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light
  `original` | The original `collada.light.SpotLight` this is bound to